Resource

Incident Postmortem Template

Manage postmortem templates for your incidents

The Incident Postmortem Template Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    postmortemNote
    Type
    Markdown
    Description

    Markdown template used when documenting an incident postmortem.

  • Name
    templateName
    Type
    TextRequired
    Description

    Name of the Postmortem Template

  • Name
    templateDescription
    Type
    Long TextRequired
    Description

    Description of the Postmortem Template

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/incident-postmortem-template/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Postmortem Template. By default, a maximum of ten Incident Postmortem Template are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-postmortem-template/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "templateDescription": true,
    "templateName": true,
    "_id": true,
    "createdAt": true
  },
  "query": {
    "templateDescription": "Example template description"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37716aa0-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "templateDescription": "Example template description",
      "templateName": "Example name",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "37716aa1-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "templateDescription": "Example template description",
      "templateName": "Example name",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "37716aa2-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "templateDescription": "Example template description",
      "templateName": "Example name",
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/incident-postmortem-template/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Postmortem Template by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-postmortem-template/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "templateDescription": true,
    "templateName": true,
    "_id": true,
    "createdAt": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "templateDescription": "Example template description",
  "templateName": "Example name",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
POST/api/incident-postmortem-template/count

Count

This endpoint allows you to retrieve the count of all your Incident Postmortem Template.

Optional Request Body

Count Request

POST
/api/incident-postmortem-template/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "templateDescription": "Example template description"
  }
}

Response

{
  "count": 107
}
POST/api/incident-postmortem-template

Create Incident Postmortem Template

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-postmortem-template
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "templateDescription": "Example template description",
    "templateName": "Example name",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "templateDescription": "Example template description",
  "templateName": "Example name",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/incident-postmortem-template/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-postmortem-template/:id/update-item
GET/api/incident-postmortem-template/:id/update-item

Update Request

PUT
/api/incident-postmortem-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "templateDescription": "Example template description",
    "templateName": "Example name",
    "postmortemNote": "Example postmortem note content"
  }
}

Response

{}
DELETE/api/incident-postmortem-template/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-postmortem-template/:id/delete-item
GET/api/incident-postmortem-template/:id/delete-item

Delete Request

DELETE
/api/incident-postmortem-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Postmortem Template

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Note Template
  • Read All Project Resources

Create Permissions

Required to create Incident Postmortem Template

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Note Template

Update Permissions

Required to update Incident Postmortem Template

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Note Template

Delete Permissions

Required to delete Incident Postmortem Template

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Note Template